Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script.instance
Interface IDrillThroughInstance

    public interface IDrillThroughInstance

Method Summary
`java.lang.String` | `getBookmark()`
`java.lang.String` | `getFormat()`
`java.util.Map` | `getParameterBindings()`
`java.lang.String` | `getReportName()`
`java.util.Map` | `getSearchCriteria()`
`java.lang.String` | `getTargetFileType()`
`java.lang.String` | `getTargetWindow()`
`java.lang.String` | `getTOC()`
`boolean` | `isBookmark()`
`void` | `setBookmark(java.lang.String bookmark)` Set the bookmark to the drillThrough .
`void` | `setFormat(java.lang.String format)` Set the format of output report.
`void` | `setParameterBindings(java.util.Map parameterBindings)` Set a set of name/value pairs for running the report in the drillthrough link.
`void` | `setReportName(java.lang.String reportName)` Set the report name.
`void` | `setSearchCriteria(java.util.Map searchCriteria)` Set a set of name/value pairs for searching the report in the drillthrough link.
`void` | `setTargetFileType(java.lang.String targetFileType)` Sets target report file type for a drill-through action.
`void` | `setTargetWindow(java.lang.String target)` Set the targetWindow string.
`void` | `setTOC(java.lang.String toc)` Set the TOC of this drillThrough.

Method Detail

### getReportName

    java.lang.String getReportName()

  Returns:
    the report name.

### setReportName

    void setReportName(java.lang.String reportName)

  Set the report name.

  Parameters:
    `reportName` -

### getParameterBindings

    java.util.Map getParameterBindings()

  Returns:
    a set of name/value pairs for running the report in the drillthrough link.

### setParameterBindings

    void setParameterBindings(java.util.Map parameterBindings)

  Set a set of name/value pairs for running the report in the drillthrough link.

### getSearchCriteria

    java.util.Map getSearchCriteria()

  Returns:
    a set of name/value pairs for searching the report in the drillthrough link.

### setSearchCriteria

    void setSearchCriteria(java.util.Map searchCriteria)

  Set a set of name/value pairs for searching the report in the drillthrough link.

### getFormat

    java.lang.String getFormat()

  Returns:
    the format of output report.

### setFormat

    void setFormat(java.lang.String format)

  Set the format of output report.

### isBookmark

    boolean isBookmark()

  Returns:
    the bookmark type. True, the bookmark is a bookmark. False, the bookmark is a toc.

### setBookmark

    void setBookmark(java.lang.String bookmark)

  Set the bookmark to the drillThrough .

  Parameters:
    `bookmark` -

### getBookmark

    java.lang.String getBookmark()

  Returns:
    the bookmark string if the bookmark type is Bookmark. NULL if the bookmark type is TOC.

### setTOC

    void setTOC(java.lang.String toc)

  Set the TOC of this drillThrough.

  Parameters:
    `toc` -

### getTOC

    java.lang.String getTOC()

  Returns:
    the bookmark string if the bookmark type is TOC. NULL if the bookmark type is Bookmark.

### getTargetWindow

    java.lang.String getTargetWindow()

  Returns:
    the targetWindow string.

### setTargetWindow

    void setTargetWindow(java.lang.String target)

  Set the targetWindow string.

### setTargetFileType

    void setTargetFileType(java.lang.String targetFileType)

  Sets target report file type for a drill-through action.

### getTargetFileType

    java.lang.String getTargetFileType()

  Returns:
    the type of the target report file.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.